package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网络安全官对象 tc_aqg
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("网络安全官对象")
public class TcAqg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 区域 */
    @ApiModelProperty(value = "区域,1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城")
//    @Excel(name = "区域",readConverterExp = "1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城",combo = "太仓市,城厢镇,沙溪镇,浏河镇,浮桥镇,璜泾镇,双凤镇,娄东街道,陆渡街道,科教新城")
    private String areaId;

    /** 启用/禁用 */
    @ApiModelProperty(value = "启用/禁用,1=启用,2=禁用")
    @Excel(name = "启用/禁用",readConverterExp = "1=启用,2=禁用",combo = "启用,禁用")
    private Long isStatus;

    /** 单位 */
    @ApiModelProperty(value = "单位")
    @Excel(name = "单位")
    private String unit;

    /** 第一负责人 */
    @ApiModelProperty(value = "第一负责人")
    @Excel(name = "第一负责人")
    private String fzr;

    /** 职务 */
    @ApiModelProperty(value = "职务")
    @Excel(name = "职务")
    private String duty;

    /** 直接负责人 */
    @ApiModelProperty(value = "直接负责人")
    @Excel(name = "直接负责人")
    private String fzr1;

    /** 职务_1 */
    @ApiModelProperty(value = "职务_1")
    @Excel(name = "职务_1")
    private String duty1;

    /** 负责科室 */
    @ApiModelProperty(value = "负责科室")
    @Excel(name = "负责科室")
    private String fzks;

    /** 网络安全官 */
    @ApiModelProperty(value = "网络安全官")
    @Excel(name = "网络安全官")
    private String fzr3;

    /** 职务_2 */
    @ApiModelProperty(value = "职务_2")
    @Excel(name = "职务_2")
    private String duty3;

    /** 电话 */
    @ApiModelProperty(value = "电话")
    @Excel(name = "电话")
    private String tel;


}
