package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 部门通报对象 tc_bmtb
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Data
@ApiModel("部门通报对象")
public class TcBmtb extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 启用/禁用 */
    @ApiModelProperty(value = "启用/禁用,1=启用,2=禁用")
    @Excel(name = "启用/禁用",readConverterExp = "1=启用,2=禁用",combo = "启用,禁用")
    private Long isStatus;

    /** 部门名称 */
    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称")
    private String depName;

    /** 文件名称 */
    @ApiModelProperty(value = "文件名称")
    @Excel(name = "文件名称")
    private String fileName;

    /** 文件路径(完整路径) */
    @ApiModelProperty(value = "文件路径(完整路径)")
    @Excel(name = "文件路径(完整路径)")
    private String fileUrl;


}
