package com.ruoyi.tcZz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 清郎专项行动数据统计对象 tc_qlzxxdsjtj
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("清郎专项行动数据统计对象")
public class TcQlzxxdsjtj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "日期")
    private Date dateTime;

    /** 处理有害信息数量 */
    @Excel(name = "处理有害信息数量")
    @ApiModelProperty(value = "处理有害信息数量")
    private Long count1;

    /** 关闭直播平台违规账号(个) */
    @Excel(name = "关闭直播平台违规账号(个)")
    @ApiModelProperty(value = "关闭直播平台违规账号(个)")
    private Long count2;
}
