package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 今日头条、快手对象 tc_ttsum
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("今日头条、快手对象")
public class TcTtsum extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 区域 */
//    @Excel(name = "区域id",readConverterExp = "1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城",combo = "太仓市,城厢镇,沙溪镇,浏河镇,浮桥镇,璜泾镇,双凤镇,娄东街道,陆渡街道,科教新城")
    @ApiModelProperty(value = "区域id,1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城")
    private String areaId;

    /** 启用/禁用 */
    @Excel(name = "1.启用 2.禁用",readConverterExp = "1=启用,2=禁用",combo = "启用,禁用")
    @ApiModelProperty(value = "1.启用 2.禁用,1=启用,2=禁用")
    private Long isStatus;

    /** 账号ID */
    @Excel(name = "账号ID")
    @ApiModelProperty(value = "账号ID")
    private String zhId;

    /** 简介 */
    @Excel(name = "简介")
    @ApiModelProperty(value = "简介")
    private String intro;

    /** 类型 */
    @Excel(name = "1.今日头条 2.快手",readConverterExp = "1=今日头条,2=快手",combo = "今日头条,快手")
    @ApiModelProperty(value = "1.今日头条 2.快手,1=今日头条,2=快手")
    private Long type;
}
