package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网络文明志愿者对象 tc_wlwmzyz
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("网络文明志愿者对象")
public class TcWlwmzyz extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 区域 */
    @ApiModelProperty(value = "区域,1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城")
//    @Excel(name = "区域",readConverterExp = "1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城",combo = "太仓市,城厢镇,沙溪镇,浏河镇,浮桥镇,璜泾镇,双凤镇,娄东街道,陆渡街道,科教新城")
    private String areaId;

    /** 启用/禁用 */
    @ApiModelProperty(value = "启用/禁用,1=启用,2=禁用")
    @Excel(name = "启用/禁用",readConverterExp = "1=启用,2=禁用",combo = "启用,禁用")
    private Long isStatus;

    /** 姓名 */
    @ApiModelProperty(value = "姓名")
    @Excel(name = "姓名")
    private String name;

    /** 年龄 */
    @ApiModelProperty(value = "年龄")
    @Excel(name = "年龄")
    private Long age;

    /** 活动内容 */
    @ApiModelProperty(value = "活动内容")
    @Excel(name = "活动内容")
    private String activityContent;

    /** 单位 */
    @ApiModelProperty(value = "单位")
    @Excel(name = "单位")
    private String unit;

    /** 职务 */
    @ApiModelProperty(value = "职务")
    @Excel(name = "职务")
    private String duty;

    /** 联系电话 */
    @ApiModelProperty(value = "联系电话")
    @Excel(name = "联系电话")
    private String linkTel;

    /** 志愿者类型 */
    @ApiModelProperty(value = "志愿者类型,1=银龄生活,2=凌云燕")
    @Excel(name = "志愿者类型",readConverterExp = "1=银龄生活,2=凌云燕",combo = "银龄生活,凌云燕")
    private Long type;
}
