package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 舆情信息量统计对象 tc_yqxxlnum
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Data
@ApiModel("舆情信息量统计对象")
public class TcYqxxlnum extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 本地相关信息数量 */
    @Excel(name = "本地相关信息数量")
    @ApiModelProperty(value = "本地相关信息数量")
    private Long count1;

    /** 本地敏感信息数量 */
    @Excel(name = "本地敏感信息数量")
    @ApiModelProperty(value = "本地敏感信息数量")
    private Long count2;

    /** 推送预警信息数量 */
    @Excel(name = "推送预警信息数量")
    @ApiModelProperty(value = "推送预警信息数量")
    private Long count3;

    /** 聚焦本地媒体数量 */
    @Excel(name = "聚焦本地媒体数量")
    @ApiModelProperty(value = "聚焦本地媒体数量")
    private Long count4;
}
