package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcAqg;
import com.ruoyi.tcZz.domain.TcQlzxxdsjtj;

/**
 * 清郎专项行动数据统计Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcQlzxxdsjtjService 
{
    /**
     * 查询清郎专项行动数据统计
     * 
     * @param id 清郎专项行动数据统计主键
     * @return 清郎专项行动数据统计
     */
    public TcQlzxxdsjtj selectTcQlzxxdsjtjById(Long id);

    /**
     * 查询清郎专项行动数据统计列表
     * 
     * @param tcQlzxxdsjtj 清郎专项行动数据统计
     * @return 清郎专项行动数据统计集合
     */
    public List<TcQlzxxdsjtj> selectTcQlzxxdsjtjList(TcQlzxxdsjtj tcQlzxxdsjtj);

    /**
     * 新增清郎专项行动数据统计
     * 
     * @param tcQlzxxdsjtj 清郎专项行动数据统计
     * @return 结果
     */
    public int insertTcQlzxxdsjtj(TcQlzxxdsjtj tcQlzxxdsjtj);

    /**
     * 修改清郎专项行动数据统计
     * 
     * @param tcQlzxxdsjtj 清郎专项行动数据统计
     * @return 结果
     */
    public int updateTcQlzxxdsjtj(TcQlzxxdsjtj tcQlzxxdsjtj);

    /**
     * 批量删除清郎专项行动数据统计
     * 
     * @param ids 需要删除的清郎专项行动数据统计主键集合
     * @return 结果
     */
    public int deleteTcQlzxxdsjtjByIds(Long[] ids);

    /**
     * 删除清郎专项行动数据统计信息
     * 
     * @param id 清郎专项行动数据统计主键
     * @return 结果
     */
    public int deleteTcQlzxxdsjtjById(Long id);

    /**
     * 导入清郎专项行动数据统计信息
     *
     * @return 结果
     */
    public String importUser(List<TcQlzxxdsjtj> tcQlzxxdsjtjList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
