package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcJgdw;
import com.ruoyi.tcZz.domain.TcYqxxltj;

/**
 * 舆情信息量统计明細Service接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface ITcYqxxltjService 
{
    /**
     * 查询舆情信息量统计明細
     * 
     * @param id 舆情信息量统计明細主键
     * @return 舆情信息量统计明細
     */
    public TcYqxxltj selectTcYqxxltjById(Long id);

    /**
     * 查询舆情信息量统计明細列表
     * 
     * @param tcYqxxltj 舆情信息量统计明細
     * @return 舆情信息量统计明細集合
     */
    public List<TcYqxxltj> selectTcYqxxltjList(TcYqxxltj tcYqxxltj);

    /**
     * 新增舆情信息量统计明細
     * 
     * @param tcYqxxltj 舆情信息量统计明細
     * @return 结果
     */
    public int insertTcYqxxltj(TcYqxxltj tcYqxxltj);

    /**
     * 修改舆情信息量统计明細
     * 
     * @param tcYqxxltj 舆情信息量统计明細
     * @return 结果
     */
    public int updateTcYqxxltj(TcYqxxltj tcYqxxltj);

    /**
     * 批量删除舆情信息量统计明細
     * 
     * @param ids 需要删除的舆情信息量统计明細主键集合
     * @return 结果
     */
    public int deleteTcYqxxltjByIds(Long[] ids);

    /**
     * 删除舆情信息量统计明細信息
     * 
     * @param id 舆情信息量统计明細主键
     * @return 结果
     */
    public int deleteTcYqxxltjById(Long id);



    /**
     * 导入舆情信息量统计明細信息
     *
     * @return 结果
     */
    public String importUser(List<TcYqxxltj> tcJgdwList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
