package com.ruoyi.tcZz.service;

import com.ruoyi.tcZz.domain.reponse.*;

import java.util.List;

/**
 * 大屏接口服务层
 */
public interface ScreenService {


    /**
     * 大屏监管对象
     *
     * @return
     */

    ScreenSupervisionResponse getScreenSupervision();


    /**
     * 大屏数据来源
     *
     * @return
     */

    ScreenSourceResponse getScreenSource();

    /**
     * 大屏舆情报告
     *
     * @return
     */

    ScreenOpinionReportResponse getScreenOpinionReport();


    /**
     * 网评文章
     *
     * @return
     */
    ScreenArticlesResponse getScreenArticles();

    /**
     * 清郎专项行动处理有害数据统计
     *
     * @return
     */
    List<ScreenQinglangWeifanResponse> getScreenQinglang();

    /**
     * 清郎专项行动违规
     *
     * @return
     */
    List<ScreenQinglangWeiguiResponse> getScreenQinglangWeigui();


    /**
     * 属地通报
     *
     * @return
     */

    List<ScreenTerritorialResponse> getScreenTerritorial();

    /**
     * 部门通报
     *
     * @return
     */
    List<ScreenDeptResponse> getScreenDept();


    /**
     * 举报地图
     *
     * @return
     */
    ScreenReportMapResponse getScreenReportMap();


    /**
     * 部门转办
     *
     * @return
     */
    List<ScreenDepartmentResponse> getScreenDepartment();
}
