package com.ruoyi.tcZz.service.impl;

import com.ruoyi.tcZz.domain.reponse.*;
import com.ruoyi.tcZz.mapper.ScreenMapper;
import com.ruoyi.tcZz.service.ScreenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 大屏接口实现层
 */
@Service
public class ScreenServiceImpl implements ScreenService {
    /**
     * 数据层
     */
    @Autowired
    private ScreenMapper screenMapper;

    @Override
    public ScreenSupervisionResponse getScreenSupervision() {
        return screenMapper.getScreenSupervision();

    }

    @Override
    public ScreenSourceResponse getScreenSource() {
        return screenMapper.getScreenSource();
    }

    @Override
    public ScreenOpinionReportResponse getScreenOpinionReport() {
        return screenMapper.getScreenOpinionReport();
    }

    @Override
    public ScreenArticlesResponse getScreenArticles() {
        return screenMapper.getScreenArticles();
    }

    @Override
    public List<ScreenQinglangWeifanResponse> getScreenQinglang() {
        return screenMapper.getScreenQinglang();
    }

    @Override
    public List<ScreenQinglangWeiguiResponse> getScreenQinglangWeigui() {
        return screenMapper.getScreenQinglangWeigui();
    }

    @Override
    public List<ScreenTerritorialResponse> getScreenTerritorial() {
        return screenMapper.getScreenTerritorial();
    }

    @Override
    public List<ScreenDeptResponse> getScreenDept() {
        return screenMapper.getScreenDept();
    }

    @Override
    public ScreenReportMapResponse getScreenReportMap() {
        return screenMapper.getScreenReportMap();
    }

    @Override
    public  List<ScreenDepartmentResponse> getScreenDepartment() {
        return screenMapper.getScreenDepartment();
    }
}
