package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 安全隐患 tc_aqyh对象 tc_aqyh
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Data
@ApiModel("安全隐患")
public class TcAqyh extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 隐患名称 */
    @ApiModelProperty(value = "隐患名称")
    @Excel(name = "隐患名称")
    private String yhName;

    /** 隐患数量 */
    @ApiModelProperty(value = "隐患数量")
    @Excel(name = "隐患数量")
    private String yhCount;


}
