package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 本级上级网评指令比例（月）对象 tc_bjsjwp
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("本级上级网评指令比例（月）对象")
public class TcBjsjwp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 本级网评指令比例 */
    @ApiModelProperty(value = "本级网评指令比例")
    @Excel(name = "本级网评指令比例")
    private Long count1;

    /** 上级网评指令比例 */
    @ApiModelProperty(value = "上级网评指令比例")
    @Excel(name = "上级网评指令比例")
    private Long count2;


}
