package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 动态筛选对象 tc_dtsx
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Data
@ApiModel("动态筛选对象")
public class TcDtsx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 监测信息总量 */
    @Excel(name = "监测信息总量")
    @ApiModelProperty(value = "监测信息总量")
    private String jcCount;

    /** 排除信息量 */
    @Excel(name = "排除信息量")
    @ApiModelProperty(value = "排除信息量")
    private String pcCount;

    /** 舆情预警量（可空） */
    @Excel(name = "舆情预警量", readConverterExp = "可=空")
    @ApiModelProperty(value = "舆情预警量")
    private String yqCount;

    /** 舆情预警占比（可空） */
    @Excel(name = "舆情预警占比", readConverterExp = "可=空")
    @ApiModelProperty(value = "舆情预警占比")
    private String yqZb;
}
