package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 举报事件年度分类统计对象 tc_jbsjndfltj
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("举报事件年度分类统计对象")
public class TcJbsjndfltj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 类型 */
    @Excel(name = "类型")
    @ApiModelProperty(value = "类型")
    private String type;

    /** 数量（件） */
    @Excel(name = "数量", readConverterExp = "件=")
    @ApiModelProperty(value = "数量")
    private Long count;
}
