package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 地图统计对象 tc_map
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Data
@ApiModel("地图统计对象")
public class TcMap extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Excel(name = "名称")
    private String name;

    /** 数量 */
    @ApiModelProperty(value = "数量")
    @Excel(name = "数量")
    private String count;

    /** 1.国际
2.国内
 */
    @ApiModelProperty(value = "类型,1=国际,2=国内")
    @Excel(name = "类型",readConverterExp = "1=国际,2=国内",combo = "国际,国内")
    private Long type;
}
