package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 受攻击IPTOP5对象 tc_sgjip_top5
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Data
@ApiModel("受攻击IPTOP5对象")
public class TcSgjipTop5 extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 受攻击IP */
    @ApiModelProperty(value = "受攻击IP")
    @Excel(name = "受攻击IP")
    private String sAttackIp;

    /** 受攻击次数 */
    @ApiModelProperty(value = "受攻击次数")
    @Excel(name = "受攻击次数")
    private String sAttackCount;


}
