package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 数据来源统计对象 tc_sjlytj
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("数据来源统计对象")
public class TcSjlytj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 云端监测(G) */
    @ApiModelProperty(value = "云端监测(G)")
    @Excel(name = "云端监测(G)")
    private String lable1;

    /** 云端监测(G)总量 */
    @ApiModelProperty(value = "云端监测(G)总量")
    @Excel(name = "云端监测(G)总量")
    private String lable1Sum;

    /** APT(M) */
    @ApiModelProperty(value = "APT(M)")
    @Excel(name = "APT(M)")
    private String lable2;

    /** APT(M) 总量 */
    @ApiModelProperty(value = "APT(M) 总量")
    @Excel(name = "APT(M) 总量")
    private String lable2Sum;
}
