package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网络监测统计对象 tc_wljgtj
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Data
@ApiModel("网络监测统计对象")
public class TcWljgtj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 网络攻击(万次) */
    @ApiModelProperty(value = "网络攻击(万次)")
    @Excel(name = "网络攻击(万次)")
    private String netAttack;

    /** 入侵攻击 */
    @ApiModelProperty(value = "入侵攻击")
    @Excel(name = "入侵攻击")
    private String rqAttack;

    /** 恶意扫描 */
    @ApiModelProperty(value = "恶意扫描")
    @Excel(name = "恶意扫描")
    private String smAttack;

    /** 僵木蠕病毒 */
    @ApiModelProperty(value = "僵木蠕病毒")
    @Excel(name = "僵木蠕病毒")
    private String bdAttack;


}
