package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网站对象 tc_wz
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("网站对象")
public class TcWz extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 区域 */
//    @Excel(name = "区域id",readConverterExp = "1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城",combo = "太仓市,城厢镇,沙溪镇,浏河镇,浮桥镇,璜泾镇,双凤镇,娄东街道,陆渡街道,科教新城")
    @ApiModelProperty(value = "区域id,1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城")
    private String areaId;

    /** 启用/禁用 */
    @Excel(name = "1.启用 2.禁用",readConverterExp = "1=启用,2=禁用",combo = "启用,禁用")
    @ApiModelProperty(value = "1.启用 2.禁用,1=启用,2=禁用")
    private Long isStatus;

    /** 网站名称 */
    @Excel(name = "网站名称")
    @ApiModelProperty(value = "网站名称")
    private String webName;

    /** 真实IP */
    @Excel(name = "真实IP")
    @ApiModelProperty(value = "真实IP")
    private String trueIp;

    /** 网站域名 */
    @Excel(name = "网站域名")
    @ApiModelProperty(value = "网站域名")
    private String webDns;

    /** 备案许可证号 */
    @Excel(name = "备案许可证号")
    @ApiModelProperty(value = "备案许可证号")
    private String icp;
}
