package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 约谈流程对象 tc_ytlc
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("约谈流程对象")
public class TcYtlc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    @ApiModelProperty(value = "名称")
    private String name;

    /** 文件名称 */
    @Excel(name = "文件名称")
    @ApiModelProperty(value = "文件名称")
    private String fileName;

    /** 文件路径(完整路径) */
    @Excel(name = "文件路径(完整路径)")
    @ApiModelProperty(value = "文件路径(完整路径)")
    private String fileUrl;
}
