package com.ruoyi.tcZz.domain.reponse;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 清郎专项行动处理有害信息数据统计
 */
@Data
@ApiModel("清郎专项行动处理有害信息数据统计")
public class ScreenQinglangWeifanResponse {


    /**
     * 处理有害信息数量
     */
    @ApiModelProperty("处理有害信息数量")
    private Integer count1;

    /**
     * 日期
     */
    @ApiModelProperty("日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date dateTime;

}
