package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcSgjipTop5;
import org.apache.ibatis.annotations.Param;

/**
 * 受攻击IPTOP5Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcSgjipTop5Mapper 
{
    /**
     * 查询受攻击IPTOP5
     * 
     * @param id 受攻击IPTOP5主键
     * @return 受攻击IPTOP5
     */
    public TcSgjipTop5 selectTcSgjipTop5ById(Long id);

    /**
     * 查询受攻击IPTOP5列表
     * 
     * @param tcSgjipTop5 受攻击IPTOP5
     * @return 受攻击IPTOP5集合
     */
    public List<TcSgjipTop5> selectTcSgjipTop5List(TcSgjipTop5 tcSgjipTop5);

    /**
     * 新增受攻击IPTOP5
     * 
     * @param tcSgjipTop5 受攻击IPTOP5
     * @return 结果
     */
    public int insertTcSgjipTop5(TcSgjipTop5 tcSgjipTop5);

    /**
     * 修改受攻击IPTOP5
     * 
     * @param tcSgjipTop5 受攻击IPTOP5
     * @return 结果
     */
    public int updateTcSgjipTop5(TcSgjipTop5 tcSgjipTop5);

    /**
     * 删除受攻击IPTOP5
     * 
     * @param id 受攻击IPTOP5主键
     * @return 结果
     */
    public int deleteTcSgjipTop5ById(Long id);

    /**
     * 批量删除受攻击IPTOP5
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcSgjipTop5ByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
